## rust-rustls-webpki 0.101.1

=== requirements.txt ===
cffi==1.15.1
cryptography==41.0.0
mypy==1.3.0
mypy-extensions==1.0.0
pycparser==2.21
tomli==2.0.1
typing_extensions==4.5.0

=== debian/changelog ===
rust-rustls-webpki (0.101.1-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jul 2023 16:22:18 +0200

rust-rustls-webpki (0.101.1-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041273

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2023 18:53:24 +0200

=== debian/control ===
Source: rust-rustls-webpki
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-base64-0.21+default-dev <!nocheck>,
 librust-ring-0.16+default-dev <!nocheck>,
 librust-untrusted-0.7+default-dev <!nocheck>,
 libstring-shellquote-perl,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
Homepage: https://github.com/rustls/rustls
Rules-Requires-Root: no

Package: librust-rustls-webpki-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-ring-0.16+default-dev,
 librust-untrusted-0.7+default-dev,
 ${misc:Depends},
Provides:
 librust-rustls-webpki-0.101+alloc-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101.1-dev (= ${binary:Version}),
Description: web PKI X.509 certificate verification - Rust source code
 rustls-webpki is a library
 that validates Web PKI (TLS/SSL) certificates.
 It's used by Rustls to handle certificate-related tasks
 required for implementing TLS clients and servers.
 .
 rustls-webpki is written in Rust
 and uses ring for cryptographic operations and low-level parsing.
 .
 This is a fork of the webpki project
 which adds a number of features required by the rustls project.
 .
 Rustls is a modern TLS library written in Rust.
 .
 This package contains the source for the Rust rustls-webpki crate,
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.1
 --all-targets --all-features
Features: test-name=rust-rustls-webpki-0.101:@
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.1
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.101:
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.1
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki-0.101:alloc
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+alloc-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.1
 --all-targets
Features: test-name=rust-rustls-webpki-0.101:default
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.1
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki-0.101:std
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+std-dev,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/rustls/webpki/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## rust-rustls-webpki 0.101.3

=== debian/changelog ===
rust-rustls-webpki (0.101.3-2) unstable; urgency=medium

  * update dh-cargo fork
  * rename patch 2004 -> 1002_test-data_path_from_env;
    refresh patches with shortening quilt options;
    update DEP-3 patch headers
  * merge patch 2003 into 2001;
    stop build- or autopkgtest-depend on package for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 10:04:21 +0200

rust-rustls-webpki (0.101.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch 2004 and alter debian/tests/control to use test data from the source
    package during autopkgtest as the test data is not included in the binary
    package (Closes: #1043418)
  * Extend patch 2001 to add autobenches=false so that the benches
    are really disabled

 -- Peter Michael Green <plugwash@debian.org>  Sat, 19 Aug 2023 10:07:40 +0000

rust-rustls-webpki (0.101.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: exclude prereleases
  * extend patch 2001 to avoid declaring benches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 13:24:24 +0200

rust-rustls-webpki (0.101.2-2) unstable; urgency=medium

  * add patch to avoid Cargo patch;
    build- and autopkgtest-depend on package for crate rcgen;
    closes: bug#1043051, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Aug 2023 01:21:20 +0200

rust-rustls-webpki (0.101.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump version for provided virtual packages and autopkgtest hints
  * drop patch 2001, obsoleted by upstream changes
  * add (new) patch 2001 to drop bench-only build-dependencies
  * add patch 2002
    to skip test requiring not-in-Debian bettertls testsuite
  * build- and autopkgtest-depend
    on packages for crates serde serde_json
  * update dh-cargo fork
  * add patch 1001 to have feature alloc require std;
    closes: bug#1042413, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Aug 2023 01:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
  dh-cargo,
  librust-base64-0.21+default-dev <!nocheck>,
  librust-ring-0.16+default-dev <!nocheck>,
+ librust-serde-1+default-dev <!nocheck>,
+ librust-serde-1+derive-dev <!nocheck>,
+ librust-serde-json-1+default-dev <!nocheck>,
  librust-untrusted-0.7+default-dev <!nocheck>,
  libstring-shellquote-perl,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
@@ -27,7 +30,7 @@
  librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101.1-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.101.3-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.3
 --all-targets --all-features
Features: test-name=rust-rustls-webpki-0.101:@
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.3
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.101:
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.3
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki-0.101:alloc
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.3
 --all-targets
Features: test-name=rust-rustls-webpki-0.101:default
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.3
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki-0.101:std
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

## rust-rustls-webpki 0.101.4

=== debian/changelog ===
rust-rustls-webpki (0.101.4-4) unstable; urgency=medium

  * limit build-tests and autopkgtests to avoid feature alloc

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 13:05:31 +0200

rust-rustls-webpki (0.101.4-3) unstable; urgency=medium

  * add patch 2003
    to avoid dependency on crate rcgen missing on some architectures;
    stop build-depend on package for crate rcgen;
    avoid autopkgtests involving feature alloc,
    and mention in TODO note;
    closes: bug#1050655, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 10:55:32 +0200

rust-rustls-webpki (0.101.4-2) unstable; urgency=medium

  * reduce patch 2001;
    build- and autopkgtest-depend on package for crate rcgen;
    limit select autopkgtests
    to architectures supported by crate rcgen;
    closes: bug#1050535, thanks to Peter Michael Green
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Aug 2023 22:20:29 +0200

rust-rustls-webpki (0.101.4-1) unstable; urgency=high

  * bump project version in virtual packages and autopkgtests;
    closes: bug#1050298, thanks to Salvatore Bonaccorso;
    RUSTSEC-2023-0053
  * unfuzz patches
  * set urgency=high due to security bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 10:06:53 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101.3-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.101.4-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
# feature "alloc" needs crate "rcgen" missing on some architectures

#Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.4
# --all-targets --all-features
#Features: test-name=rust-rustls-webpki-0.101:@
#Depends:
# dh-cargo,
# librust-base64-0.21+default-dev,
# librust-rcgen-0.11+default-dev,
# librust-rustls-webpki-0.101-dev,
# librust-serde-1+default-dev,
# librust-serde-1+derive-dev,
# librust-serde-json-1+default-dev,
#Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.4
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.101:
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rustls-webpki-0.101-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

#Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.4
# --all-targets --no-default-features --features alloc
#Features: test-name=rust-rustls-webpki-0.101:alloc
#Depends:
# dh-cargo,
# librust-base64-0.21+default-dev,
# librust-rcgen-0.11+default-dev,
# librust-rustls-webpki-0.101+alloc-dev,
# librust-serde-1+default-dev,
# librust-serde-1+derive-dev,
# librust-serde-json-1+default-dev,
#Restrictions: allow-stderr

#Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.4
# --all-targets
#Features: test-name=rust-rustls-webpki-0.101:default
#Depends:
# dh-cargo,
# librust-base64-0.21+default-dev,
# librust-rustls-webpki-0.101+default-dev,
# librust-serde-1+default-dev,
# librust-serde-1+derive-dev,
# librust-serde-json-1+default-dev,
#Restrictions: allow-stderr

#Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.4
# --all-targets --no-default-features --features std
#Features: test-name=rust-rustls-webpki-0.101:std
#Depends:
# dh-cargo,
# librust-base64-0.21+default-dev,
# librust-rustls-webpki-0.101+std-dev,
# librust-serde-1+default-dev,
# librust-serde-1+derive-dev,
# librust-serde-json-1+default-dev,
#Restrictions: allow-stderr

## rust-rustls-webpki 0.101.7

=== requirements.txt ===
cffi==1.15.1
cryptography==41.0.2
mypy==1.3.0
mypy-extensions==1.0.0
pycparser==2.21
tomli==2.0.1
typing_extensions==4.5.0

=== debian/changelog ===
rust-rustls-webpki (0.101.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to experimental

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 18:29:08 +0000

rust-rustls-webpki (0.101.7-2) experimental; urgency=medium

  * extend patch 1002 to install file src/test_utils.rs,
    and to reference Debian bugreport in DEP-3 headers;
    closes: bug#1055319, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Nov 2023 08:57:25 +0100

rust-rustls-webpki (0.101.7-1) experimental; urgency=medium

  * bump project version in virtual packages and autopkgtests
  * unfuzz patches
  * tighten (build-)dependencies for crates ring untrusted

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Nov 2023 01:38:40 +0100

rust-rustls-webpki (0.101.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project version in virtual packages and autopkgtests
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 21:55:05 +0200

rust-rustls-webpki (0.101.4-5) unstable; urgency=medium

  * revert to build-depend on package for crate rcgen,
    and enable autopkgtests for all features
    but skip them for official architectures
    where packages for crates rcgen or ring are missing;
    drop patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 21:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
  debhelper-compat (= 13),
  dh-cargo,
  librust-base64-0.21+default-dev <!nocheck>,
- librust-ring-0.16+default-dev <!nocheck>,
+ librust-ring-0.17+default-dev <!nocheck>,
+ librust-rcgen-0.11+default-dev <!nocheck>,
  librust-serde-1+default-dev <!nocheck>,
  librust-serde-1+derive-dev <!nocheck>,
  librust-serde-json-1+default-dev <!nocheck>,
- librust-untrusted-0.7+default-dev <!nocheck>,
+ librust-untrusted-0.9+default-dev <!nocheck>,
  libstring-shellquote-perl,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 4.6.2
@@ -22,15 +23,15 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-ring-0.16+default-dev,
- librust-untrusted-0.7+default-dev,
+ librust-ring-0.17+default-dev,
+ librust-untrusted-0.9+default-dev,
  ${misc:Depends},
 Provides:
  librust-rustls-webpki-0.101+alloc-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.101-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101.4-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.101.7-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/rules ===
#!/usr/bin/make -f

# use local fork of debcargo and dh-cargo
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

%:
	dh $@ --buildsystem cargo

# avoid patched-away feature "alloc"
override_dh_auto_test:
	dh_auto_test -- --all-targets --no-default-features

=== debian/tests/control ===
# feature "alloc" needs crate "rcgen" missing on some architectures
# dependent crate "ring" missing on some architectures

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.7
 --all-targets --all-features
Features: test-name=rust-rustls-webpki-0.101:@
Architecture: !mips64el !ppc64el !riscv64 !s390x
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.101-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.7
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.101:
Architecture: !mips64el !ppc64el !riscv64 !s390x
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.101-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.7
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki-0.101:alloc
Architecture: !mips64el !ppc64el !riscv64 !s390x
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.101+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.7
 --all-targets
Features: test-name=rust-rustls-webpki-0.101:default
Architecture: !mips64el !ppc64el !riscv64 !s390x
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.101.7
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki-0.101:std
Architecture: !mips64el !ppc64el !riscv64 !s390x
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.101+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
 dversionmangle=auto \
 https://github.com/rustls/webpki/tags \
-.*?@ANY_VERSION@@ARCHIVE_EXT@
+.*?(\d[\d.]+)@ARCHIVE_EXT@

## rust-rustls-webpki 0.102.4

=== debian/changelog ===
rust-rustls-webpki (0.102.4-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * drop patch 1001,
    seemingly fixed with upstream git commit 3d35066
  * autopkgtest feature ring on all architectures
  * provide and autopkgtest feature ring
  * update and unfuzz patches
  * add patch 2002 to avoid feature aws_lc_rs
  * add patch 2004 to accept older branch of crate base64
  * (build-)depend on package for crate rustls-pki-types

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jun 2024 13:38:36 +0200

rust-rustls-webpki (0.101.7-3) unstable; urgency=medium

  * rename patch 2001_bencher -> 2003_no_benches
  * add patch 2001 to avoid privacy breach in documentation
  * generate documentation from Markdown source;
    build-depend on cmark-gfm
  * update dh-cargo fork
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jun 2024 12:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: rust
 Priority: optional
 Build-Depends:
+ cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
  dh-cargo,
  librust-base64-0.21+default-dev <!nocheck>,
+ librust-rcgen-0.11+default-dev <!nocheck>,
  librust-ring-0.17+default-dev <!nocheck>,
- librust-rcgen-0.11+default-dev <!nocheck>,
+ librust-rustls-pki-types-1+default-dev <!nocheck>,
  librust-serde-1+default-dev <!nocheck>,
  librust-serde-1+derive-dev <!nocheck>,
  librust-serde-json-1+default-dev <!nocheck>,
  librust-untrusted-0.9+default-dev <!nocheck>,
  libstring-shellquote-perl,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
 Homepage: https://github.com/rustls/rustls
@@ -24,14 +26,16 @@
 Multi-Arch: foreign
 Depends:
  librust-ring-0.17+default-dev,
+ librust-rustls-pki-types-1+default-dev,
  librust-untrusted-0.9+default-dev,
  ${misc:Depends},
 Provides:
- librust-rustls-webpki-0.101+alloc-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101-dev (= ${binary:Version}),
- librust-rustls-webpki-0.101.7-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102+alloc-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102+default-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102+ring-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102+std-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102.4-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets --all-features
Features: test-name=rust-rustls-webpki-0.102:@
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.102:
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki-0.102:alloc
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets
Features: test-name=rust-rustls-webpki-0.102:default
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki-0.102:ring
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/cargo/bin/cargo-auto-test rustls-webpki 0.102.4
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki-0.102:std
Depends:
 dh-cargo,
 librust-base64-0.21+default-dev,
 librust-rcgen-0.11+default-dev,
 librust-rustls-webpki-0.102+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

## rust-rustls-webpki 0.102.8

=== requirements.txt ===
cffi==1.15.1
cryptography==42.0.4
mypy==1.3.0
mypy-extensions==1.0.0
pycparser==2.21
tomli==2.0.1
typing_extensions==4.5.0

=== debian/changelog ===
rust-rustls-webpki (0.102.8-5) unstable; urgency=medium

  * drop patch 1002_rcgen, obsoleted by Debian packaging changes
    + bump build- and autopkgtest-dependencies for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Feb 2025 09:39:36 +0100

rust-rustls-webpki (0.102.8-4) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2025 20:11:12 +0100

rust-rustls-webpki (0.102.8-3) experimental; urgency=medium

  * update watch file:
    + use Github API uri
    + improve filename mangling
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 19:05:01 +0100

rust-rustls-webpki (0.102.8-2) experimental; urgency=medium

  * update and unfuzz patches
  * tolerate test failures when targeted experimental
  * relax source helper copyright-check
    to omit bx2-compressed JSON-file

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Dec 2024 00:52:09 +0100

rust-rustls-webpki (0.102.8-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * drop patch 2004_base64, obsoleted by Debian package changes;
    bump build- and autopkgtest-dependencies for crate base64
  * unfuzz patches
  * fix patch 2003;
    build- and autopkgtest-depend on pacakge for crate bzip2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 22:29:24 +0200

rust-rustls-webpki (0.102.7-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop mention dh-cargo in long description
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Aug 2024 18:20:06 +0200

rust-rustls-webpki (0.102.6-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2024 00:25:23 +0200

rust-rustls-webpki (0.102.4-2) experimental; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * stop avoid features in build-time test check

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 09:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- dh-cargo,
- librust-base64-0.21+default-dev <!nocheck>,
- librust-rcgen-0.11+default-dev <!nocheck>,
- librust-ring-0.17+default-dev <!nocheck>,
- librust-rustls-pki-types-1+default-dev <!nocheck>,
- librust-serde-1+default-dev <!nocheck>,
- librust-serde-1+derive-dev <!nocheck>,
- librust-serde-json-1+default-dev <!nocheck>,
- librust-untrusted-0.9+default-dev <!nocheck>,
- libstring-shellquote-perl,
+ dh-sequence-rust,
+ librust-base64-0.22+default-dev,
+ librust-bzip2-0.4+default-dev,
+ librust-rcgen-0.13+default-dev,
+ librust-ring-0.17+default-dev,
+ librust-rustls-pki-types-1+default-dev,
+ librust-serde-1+default-dev,
+ librust-serde-1+derive-dev,
+ librust-serde-json-1+default-dev,
+ librust-untrusted-0.9+default-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
@@ -35,7 +35,7 @@
  librust-rustls-webpki-0.102+ring-dev (= ${binary:Version}),
  librust-rustls-webpki-0.102+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.102-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102.4-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.102.8-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.
@@ -51,4 +51,4 @@
  Rustls is a modern TLS library written in Rust.
  .
  This package contains the source for the Rust rustls-webpki crate,
- for use with cargo and dh-cargo.
+ for use with cargo.

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_DISTRIBUTION
include /usr/share/dpkg/pkg-info.mk

# resolve if release is experimental
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

%:
	dh $@

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS)

override_dh_auto_test:
	dh_auto_test --buildsystem rust -- --no-fail-fast $(if $(DEB_SUITE_EXP), || true)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets --all-features
Features: test-name=rust-rustls-webpki-0.102:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki-0.102:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki-0.102:alloc
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets
Features: test-name=rust-rustls-webpki-0.102:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki-0.102:ring
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.102.8
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki-0.102:std
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.102+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/rustls/webpki/git/matching-refs/tags/v/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v/@ANY_VERSION@

## rust-rustls-webpki 0.103.4

=== debian/changelog ===
rust-rustls-webpki (0.103.4-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 11:53:31 +0200

rust-rustls-webpki (0.103.4-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * declare compliance with Debian Policy 4.7.2
  * omit copyright-checking CRL files
  * tighten (build-)dependency for crate rustls-pki-types
  * stop tolerate test failures when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Aug 2025 03:38:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  librust-bzip2-0.4+default-dev,
  librust-rcgen-0.13+default-dev,
  librust-ring-0.17+default-dev,
- librust-rustls-pki-types-1+default-dev,
+ librust-rustls-pki-types-1+default-dev (>= 1.12),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-untrusted-0.9+default-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
 Homepage: https://github.com/rustls/rustls
@@ -26,16 +26,16 @@
 Multi-Arch: foreign
 Depends:
  librust-ring-0.17+default-dev,
- librust-rustls-pki-types-1+default-dev,
+ librust-rustls-pki-types-1+default-dev (>= 1.12),
  librust-untrusted-0.9+default-dev,
  ${misc:Depends},
 Provides:
- librust-rustls-webpki-0.102+alloc-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102+default-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102+ring-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102+std-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102-dev (= ${binary:Version}),
- librust-rustls-webpki-0.102.8-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103+alloc-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103+default-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103+ring-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103+std-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103.4-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets --all-features
Features: test-name=rust-rustls-webpki:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki:alloc
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets
Features: test-name=rust-rustls-webpki:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki:ring
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.4
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki:std
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.13+default-dev,
 librust-rustls-webpki-0.103+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

## rust-rustls-webpki 0.103.5

=== debian/changelog ===
rust-rustls-webpki (0.103.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: use file format 5
  * fix Homepage URI
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump build- and autopkgtest-dependencies for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 14:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-sequence-rust,
  librust-base64-0.22+default-dev,
  librust-bzip2-0.4+default-dev,
- librust-rcgen-0.13+default-dev,
+ librust-rcgen-0.14+default-dev,
  librust-ring-0.17+default-dev,
  librust-rustls-pki-types-1+default-dev (>= 1.12),
  librust-serde-1+default-dev,
@@ -18,7 +18,7 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
-Homepage: https://github.com/rustls/rustls
+Homepage: https://github.com/rustls/webpki
 Rules-Requires-Root: no
 
 Package: librust-rustls-webpki-dev
@@ -35,7 +35,7 @@
  librust-rustls-webpki-0.103+ring-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103-dev (= ${binary:Version}),
- librust-rustls-webpki-0.103.4-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103.5-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets --all-features
Features: test-name=rust-rustls-webpki:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki:alloc
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets
Features: test-name=rust-rustls-webpki:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki:ring
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki:std
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: rustls
Project: webpki
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v/@ANY_VERSION@

## rust-rustls-webpki 0.103.6

=== debian/changelog ===
rust-rustls-webpki (0.103.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Sep 2025 01:07:30 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  librust-rustls-webpki-0.103+ring-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103-dev (= ${binary:Version}),
- librust-rustls-webpki-0.103.5-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103.6-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets --all-features
 Features: test-name=rust-rustls-webpki:@
 Depends:
@@ -12,7 +12,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets --no-default-features
 Features: test-name=rust-rustls-webpki:
 Depends:
@@ -26,7 +26,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets --no-default-features --features alloc
 Features: test-name=rust-rustls-webpki:alloc
 Depends:
@@ -40,7 +40,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets
 Features: test-name=rust-rustls-webpki:default
 Depends:
@@ -54,7 +54,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets --no-default-features --features ring
 Features: test-name=rust-rustls-webpki:ring
 Depends:
@@ -68,7 +68,7 @@
  librust-serde-json-1+default-dev,
 Restrictions: allow-stderr
 
-Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.5
+Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.6
  --all-targets --no-default-features --features std
 Features: test-name=rust-rustls-webpki:std
 Depends:
